Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.

From: Mark H Weaver <[email-masked]>
Date: Wed, 02 Sep 2020 13:24:04 -0400

Vitaliy Shatrov <[email-masked]> writes:

> Hello again dear Guixen.
> I use emacs-w3m as a browser on  a single board computer.  I want to read, for example, issue #43159.
>
> I can read it on https://debbugs.gnu.org/43159.  It's formatted properly, and the patch is readable too.
>
> But the https://issues.guix.gnu.org/43159
> is barely readable, and the patch is unreadable at all.  Even quoted text appear as:
>> line > another line > more lines..

I see similar problems with both 'lynx' and 'dillo' when remote CSS is
disabled.  As you point out, https://debbugs.gnu.org/ works much better
for simpler web browsers.

> I think the issues.guix.gnu.org should automatically append a link to
> the debbugs.gnu.org, for all issues.  It can be named like <a>No-JS
> version here</a>, or so.

I haven't looked carefully, but the issue seems to be related to CSS,
not Javascript.

      Thanks,
        Mark